Package org.gradle.api.tasks

## Annotation Type PathSensitive

-     @Documented
      @Retention(RUNTIME)
      @Target({METHOD,FIELD})
      public @interface PathSensitive

  Annotates a task file property, specifying which part of the file paths should be considered during up-to-date checks.

  This annotation should be attached to the getter method in Java or the property in Groovy. Annotations on setters or just the field in Java are ignored.

  If a `Task` declares a file property without this annotation, the default is `PathSensitivity.ABSOLUTE`.

  Since:
    3.1

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `PathSensitivity` | `value` |

- - ### Element Detail

    - #### value

          PathSensitivity value